package com.mwe2Maventest.problem.print;

import java.io.IOException;
import java.io.PrintWriter;

import org.eclipse.emf.mwe.core.WorkflowContext;
import org.eclipse.emf.mwe.core.issues.Issues;
import org.eclipse.emf.mwe.core.lib.AbstractWorkflowComponent2;
import org.eclipse.emf.mwe.core.monitor.ProgressMonitor;

public class PrintMessage extends AbstractWorkflowComponent2 {

	private String message = "Called PrintMessage.java";

	@Override
	protected void invokeInternal(WorkflowContext ctx, ProgressMonitor monitor, Issues issues) {

		try{
			// Create the empty file with default permissions, etc.
			PrintWriter writer = new PrintWriter("test-gen/printMessage.txt", "UTF-8");
			System.out.println("writing to file: "+message);
		    writer.println(message);
		    writer.close();
		} catch (IOException e) {
		    System.err.println("problem in creating text file.");
		}
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
}
